package com.goafanti.standard.service;

import com.goafanti.common.model.StandardPlatformLink;
import com.goafanti.standard.bo.InputStandardPlatformLink;

/**
 * 标准平台连接(StandardPlatformLink)表服务接口
 *
 * @author makejava
 * @since 2024-07-02 09:43:35
 */
public interface StandardPlatformLinkService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StandardPlatformLink queryById(Integer id);


    /**
     * 新增数据
     *
     * @param standardPlatformLink 实例对象
     * @return 实例对象
     */
    StandardPlatformLink insert(StandardPlatformLink standardPlatformLink);

    /**
     * 修改数据
     *
     * @param standardPlatformLink 实例对象
     * @return 实例对象
     */
    StandardPlatformLink update(StandardPlatformLink standardPlatformLink);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    Object list(InputStandardPlatformLink in);
}
